curl https://zeplo.ai/api/tickets/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"id": 1,
"subject": "Cannot connect WhatsApp channel",
"status": "open",
"messages": [
{
"id": 1,
"ticketId": 1,
"userId": 5,
"userName": "John Doe",
"message": "I'm getting an error when trying to add my channel.",
"isInternal": false,
"createdAt": "2026-01-15T10:00:00Z"
},
{
"id": 2,
"ticketId": 1,
"userId": 2,
"userName": "Support Agent",
"message": "Could you share the exact error message?",
"isInternal": false,
"createdAt": "2026-01-15T10:05:00Z"
}
]
}
}
Support Tickets
GET Ticket Messages
Manage messages within support tickets.
GET
/
api
/
tickets
/
:id
curl https://zeplo.ai/api/tickets/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"id": 1,
"subject": "Cannot connect WhatsApp channel",
"status": "open",
"messages": [
{
"id": 1,
"ticketId": 1,
"userId": 5,
"userName": "John Doe",
"message": "I'm getting an error when trying to add my channel.",
"isInternal": false,
"createdAt": "2026-01-15T10:00:00Z"
},
{
"id": 2,
"ticketId": 1,
"userId": 2,
"userName": "Support Agent",
"message": "Could you share the exact error message?",
"isInternal": false,
"createdAt": "2026-01-15T10:05:00Z"
}
]
}
}
Get ticket with messages
GET /api/tickets/:id
Returns the ticket details with all messages.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/tickets/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"id": 1,
"subject": "Cannot connect WhatsApp channel",
"status": "open",
"messages": [
{
"id": 1,
"ticketId": 1,
"userId": 5,
"userName": "John Doe",
"message": "I'm getting an error when trying to add my channel.",
"isInternal": false,
"createdAt": "2026-01-15T10:00:00Z"
},
{
"id": 2,
"ticketId": 1,
"userId": 2,
"userName": "Support Agent",
"message": "Could you share the exact error message?",
"isInternal": false,
"createdAt": "2026-01-15T10:05:00Z"
}
]
}
}
Add message to ticket
POST /api/tickets/:id/messages
Body parameters
string
required
Message content.
boolean
Internal note (not visible to user).
array
File attachments.
curl -X POST https://zeplo.ai/api/tickets/1/messages \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "message": "I fixed it! Thank you for the help." }'
